Bug 94071

Summary: Add deleteFileSystem support to DumpRenderTree for chromium
Product: WebKit Reporter: Taiju Tsuiki <tzik>
Component: WebCore Misc.Assignee: Taiju Tsuiki <tzik>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, kinuko, peter+ews, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 94178    
Bug Blocks: 93940    
Attachments:
Description Flags
Patch none

Description Taiju Tsuiki 2012-08-14 23:19:12 PDT
I need LocalFileSystem::deleteFileSystem support of DumpRenderTree to test Inspector.
Can I wire it up like this?
Comment 1 Taiju Tsuiki 2012-08-14 23:26:19 PDT
Created attachment 158507 [details]
Patch
Comment 2 Kinuko Yasuda 2012-08-14 23:28:58 PDT
Looks good to me.
Comment 3 WebKit Review Bot 2012-08-14 23:40:11 PDT
Comment on attachment 158507 [details]
Patch

Attachment 158507 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13501537
Comment 4 Kinuko Yasuda 2012-08-15 00:20:25 PDT
(In reply to comment #3)
> (From update of attachment 158507 [details])
> Attachment 158507 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/13501537

You'll need to roll chromium DEPS to get it compiling (after your change's in in chrome side).
Comment 5 Peter Beverloo (cr-android ews) 2012-08-15 08:49:54 PDT
Comment on attachment 158507 [details]
Patch

Attachment 158507 [details] did not pass cr-android-ews (chromium-android):
Output: http://queues.webkit.org/results/13501687
Comment 6 Taiju Tsuiki 2012-08-15 23:23:41 PDT
Comment on attachment 158507 [details]
Patch

Chromium side change and its roll have landed.

Kent-san, could you take a look?
Comment 7 Kent Tamura 2012-08-15 23:25:33 PDT
Comment on attachment 158507 [details]
Patch

ok
Comment 8 WebKit Review Bot 2012-08-16 00:54:51 PDT
Comment on attachment 158507 [details]
Patch

Clearing flags on attachment: 158507

Committed r125755: <http://trac.webkit.org/changeset/125755>
Comment 9 WebKit Review Bot 2012-08-16 00:54:55 PDT
All reviewed patches have been landed.  Closing bug.